%global __brp_mangle_shebangs /usr/bin/true

Name:           ranger
Version:        1.9.3
%define subrel  1
Release:        %mkrel 3
Summary:        A flexible console file manager

Group:          File tools
License:        GPLv3+
URL:            https://ranger.github.io/
Source0:        https://github.com/ranger/ranger/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Ranger is a free console file manager that gives you greater flexibility and a
good overview of your files without having to leave your *nix console. It
visualizes the directory tree in two dimensions: the directory hierarchy on
one, lists of files on the other, with a preview to the right so you know where
you'll be going.

%prep
%setup -q

sed -i -e '1d;2i#!/usr/bin/python3' %{name}.py

%build
%py3_build


%install
%py3_install

mv %{buildroot}%{_docdir}/%{name} rpmdocs
find rpmdocs -type f -exec chmod -v -R -X '{}' \;


%files
%doc rpmdocs/*
%{_bindir}/ranger
%{_bindir}/rifle
%{_datadir}/applications/%{name}.desktop
%{python3_sitelib}/*
%{_mandir}/man1/ranger.1.*
%{_mandir}/man1/rifle.1.*


%changelog
* Fri Feb 26 2021 daviddavid <daviddavid> 1.9.3-3.1.mga8
+ Revision: 1692071
- fix python shebang script (mga#28442)

* Thu Feb 20 2020 umeabot <umeabot> 1.9.3-3.mga8
+ Revision: 1546205
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 shlomif <shlomif> 1.9.3-2.mga8
+ Revision: 1486155
- fix the shebangs with the multi flags

* Tue Jan 14 2020 shlomif <shlomif> 1.9.3-1.mga8
+ Revision: 1477951
- New version 1.9.3

* Thu Sep 26 2019 daviddavid <daviddavid> 1.9.2-3.mga8
+ Revision: 1446214
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 1.9.2-2.mga7
+ Revision: 1352364
- rebuild with python 3.7

* Sun Oct 14 2018 shlomif <shlomif> 1.9.2-1.mga7
+ Revision: 1320360
- New version 1.9.2

* Fri Sep 21 2018 umeabot <umeabot> 1.8.1-3.mga7
+ Revision: 1290737
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.8.1-2.mga7
+ Revision: 1135709
- Rebuild for python 3.6

* Thu Jul 20 2017 shlomif <shlomif> 1.8.1-1.mga7
+ Revision: 1125528
- New version 1.8.1

* Mon Dec 21 2015 shlomif <shlomif> 1.7.2-1.mga6
+ Revision: 913196
- Importing based on the Fedora SRPM


* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Oct 13 2015 Ben Boeckel <mathstuf@gmail.com> - 1.7.2-1
- update to 1.7.2

* Wed Sep 30 2015 Ben Boeckel <mathstuf@gmail.com> - 1.7.1-3
- run find on the right directory

* Tue Sep 29 2015 Ben Boeckel <mathstuf@gmail.com> - 1.7.1-2
- remove executable bits from docs
- remove defattr line

* Sat Sep 26 2015 Ben Boeckel <mathstuf@gmail.com> - 1.7.1-1
- update to 1.7.1

* Thu Sep 10 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.1-7
- use python3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 02 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.1-5
- fix mupdf binary name (rhbz#1186823)

* Sat Dec 13 2014 Ben Boeckel <mathstuf@gmail.com> - 1.6.1-4
- Fix the right file (was the source file, but upstream regenerates the
  installed file manually).

* Thu Dec 11 2014 Ben Boeckel <mathstuf@gmail.com> - 1.6.1-3
- Fix documentation typo

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 29 2013 Remi Collet <remi@fedoraproject.org> - 1.6.1-1
- Update to 1.6.1
- add rifle command

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 04 2012 Ben Boeckel <mathstuf@gmail.com> - 1.4.2-1
- Update to 1.4.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 19 2010 Ben Boeckel <mathstuf@gmail.com> - 1.2.2-1
- Update to 1.2.2

* Sat Jul 24 2010 Ben Boeckel <mathstuf@gmail.com> - 1.1.2-2
- Add patch to remove shebang line
- BR python2-devel

* Fri Jul 23 2010 Ben Boeckel <mathstuf@gmail.com> - 1.1.2-1
- Initial package
